;       SCCSID = @(#)int3.asm	6.2 91/01/14
SCCSID      equ     "@(#)int3.asm	6.2 91/01/14"
;
;	IBM/Microsoft Confidential
;
;	Copyright (c) IBM Corporation 1987, 1990
;	Copyright (c) Microsoft Corporation 1987, 1990
;
;	All Rights Reserved

;   Debugging routines for PINBALL.
;
;   Int3    generate an immediate trap to the debugger
;


ifdef MEDIUM_MODEL
.MODEL MEDIUM, PASCAL
else
.MODEL SMALL, PASCAL
endif

.286P

ifdef MEDIUM_MODEL
.CODE _TEXT
else
.CODE
endif


ifdef MEDIUM_MODEL
Int3    PROC    FAR
else
Int3    PROC
endif



		push    bp
		mov     bp,sp

		int     3

		pop     bp
		ret

Int3    ENDP

end
